- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Interfaces::TaskFactory Class Reference

`#include <TaskFactory.h>`

Inheritance diagram for Mers::Interfaces::TaskFactory:

[legend]
Collaboration diagram for Mers::Interfaces::TaskFactory:

[legend]
List of all members.

## Public Types
typedef ::Mers::Utils::Containers::SharedPointer< ::Mers::Interfaces::Task > | t_TaskSharedPointer
| The type of shared task pointer used in this class.
typedef ::Mers::Utils::Lang::String | t_TaskName
| The data type of a task name.
typedef ::Mers::Utils::Lang::String | t_TaskParameter
| The data type of a task parameter.
## Public Member Functions
| TaskFactory ()
virtual | ~TaskFactory ()
virtual t_TaskSharedPointer | createTask (const t_TaskName &taskName)=0
virtual t_TaskSharedPointer | createTask (const t_TaskName &taskName,::std::vector< const t_TaskParameter * > const &parameters)=0

## Detailed Description

This class provides means for creating Tasks. This class serves the purpose of a factory.

This is intended as a base class. The Task class is also intended as a base class and is pure virtual, so we can not instantiate Task objects. This means that we can not implement the createTask methods. Derived classes will implement these methods, creating objects of types derived from Task.

Author:
  Paul H. Elliott

Definition at line 45 of file TaskFactory.h.

## Constructor & Destructor Documentation

TaskFactory::TaskFactory | ( |  | ) |

Creates a new TaskFactory

Definition at line 28 of file TaskFactory.cpp.

TaskFactory::~TaskFactory | ( |  | ) | `[virtual]`

Destroys this object.

Reimplemented in Mers::Executives::DeductiveController::TaskFactory.

Definition at line 35 of file TaskFactory.cpp.

## Member Function Documentation

virtual t_TaskSharedPointer Mers::Interfaces::TaskFactory::createTask | ( | const t_TaskName & | taskName | ) | `[pure virtual]`

Creates a new Task that can be later referenced.

Parameters:

  | taskName | The name of the task that should be created.

Implemented in Mers::Interfaces::StaticTaskFactory, and Mers::Interfaces::Stub::TaskFactoryStub.

Referenced by Mers::Interfaces::ExecutionInterfaceBase::createTask().

virtual t_TaskSharedPointer Mers::Interfaces::TaskFactory::createTask | ( | const t_TaskName & | taskName,
|  | ::std::vector< const t_TaskParameter * > const & | parameters |
| ) |  |  | `[pure virtual]`

Creates a new Task that can be later referenced.

Parameters:

  | taskName | The name of the task that should be created.
  | parameters | The parameters of this task.

Implemented in Mers::Interfaces::Stub::TaskFactoryStub.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Interfaces/TaskFactory.h
- /Users/fpy/titan-1-5-MBARI/Mers/Interfaces/TaskFactory.cpp